Bug 7696 - NORMARC lacks staff results XSLT
Summary: NORMARC lacks staff results XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Magnus Enger
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 6919
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 16:41 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7696 - NORMARC lacks staff results XSLT (46.92 KB, patch)
2012-03-15 19:12 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 7696 - NORMARC lacks staff results XSLT (46.80 KB, patch)
2012-03-16 12:05 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-03-10 16:41:23 UTC
Now that the staff results XSLT has been implemented for MARC21 and UNIMARC, NORMARC should have the staff results XSLT, so that if XSLTResultsDisplay is set to "using XSLT stylesheets" there won't be an error.
Comment 1 Magnus Enger 2012-03-15 19:12:05 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-03-16 12:05:08 UTC
Created attachment 8222 [details] [review]
Bug 7696 - NORMARC lacks staff results XSLT

This patch adds NORMARCslim2intranetResults.xsl, to enable XSLT display
of intreanet search results when marcflavour = NORMARC. Most of the
logic is copied verbatim from NORMARCslim2OPACResults.xsl.

To test:

Make sure you have these system preferences set:
marcflavour = NORMARC
XSLTResultsDisplay  = using XSLT stylesheet

NORMARC and MARC21 is similar enough that testing on MARC21 records should
be OK. (I don't expect anyone to do detailed testing of a lot of the different
positions in leader, 007, 008 etc...)

Before the patch: viewing results in the staff client should give an error
message about a missing XSLT file.

After the patch: Record details should be displayed in the search results,
similar to how it is done for MARC21.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Ian Walls 2012-03-19 12:26:00 UTC
This patch just adds a new XSLT for NORMARC staff results.  No regression concerns.  I don't speak NORMARC (or at least, not without a strong MARC21 accent), but trusting that our NORMARC users can maintain this new file, I'm marking as Passed QA.
Comment 4 Magnus Enger 2012-04-27 14:16:23 UTC
Works in 3.8.